package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWaterElectricityEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractWaterElectricityEntryInfo()
    {
        this("id");
    }
    protected AbstractWaterElectricityEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityInfo getBill()
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityInfo)get("bill");
    }
    public void setBill(com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityInfo item)
    {
        put("bill", item);
    }
    /**
     * Object: 分录 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:分录's 入住日期property 
     */
    public java.util.Date getBizDate()
    {
        return getDate("bizDate");
    }
    public void setBizDate(java.util.Date item)
    {
        setDate("bizDate", item);
    }
    /**
     * Object:分录's 备注说明property 
     */
    public String getDescription()
    {
        return getString("description");
    }
    public void setDescription(String item)
    {
        setString("description", item);
    }
    /**
     * Object: 分录 's 部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object:分录's 年月property 
     */
    public String getYearMonth()
    {
        return getString("yearMonth");
    }
    public void setYearMonth(String item)
    {
        setString("yearMonth", item);
    }
    /**
     * Object:分录's 离宿日期property 
     */
    public java.util.Date getLeaveDate()
    {
        return getDate("leaveDate");
    }
    public void setLeaveDate(java.util.Date item)
    {
        setDate("leaveDate", item);
    }
    /**
     * Object: 分录 's 所在宿舍 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getDormitory()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("dormitory");
    }
    public void setDormitory(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("dormitory", item);
    }
    /**
     * Object:分录's 宿舍用水总费用property 
     */
    public java.math.BigDecimal getWaterTotalCost()
    {
        return getBigDecimal("waterTotalCost");
    }
    public void setWaterTotalCost(java.math.BigDecimal item)
    {
        setBigDecimal("waterTotalCost", item);
    }
    /**
     * Object:分录's 宿舍用电总费用property 
     */
    public java.math.BigDecimal getElectricityTotalCost()
    {
        return getBigDecimal("electricityTotalCost");
    }
    public void setElectricityTotalCost(java.math.BigDecimal item)
    {
        setBigDecimal("electricityTotalCost", item);
    }
    /**
     * Object:分录's 当月水费property 
     */
    public java.math.BigDecimal getMonthWaterAmount()
    {
        return getBigDecimal("monthWaterAmount");
    }
    public void setMonthWaterAmount(java.math.BigDecimal item)
    {
        setBigDecimal("monthWaterAmount", item);
    }
    /**
     * Object:分录's 当月电费property 
     */
    public java.math.BigDecimal getMonthElectricityAmount()
    {
        return getBigDecimal("monthElectricityAmount");
    }
    public void setMonthElectricityAmount(java.math.BigDecimal item)
    {
        setBigDecimal("monthElectricityAmount", item);
    }
    /**
     * Object:分录's 当月入住天数property 
     */
    public java.math.BigDecimal getMonthDays()
    {
        return getBigDecimal("monthDays");
    }
    public void setMonthDays(java.math.BigDecimal item)
    {
        setBigDecimal("monthDays", item);
    }
    /**
     * Object:分录's 数据状态property 
     */
    public com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas getStutas()
    {
        return com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas.getEnum(getString("stutas"));
    }
    public void setStutas(com.kingdee.eas.custom.dormitorysystem.waterelectricity.WaterElectricityStutas item)
    {
		if (item != null) {
        setString("stutas", item.getValue());
		}
    }
    /**
     * Object:分录's 任职状态property 
     */
    public String getPositionStatus()
    {
        return getString("positionStatus");
    }
    public void setPositionStatus(String item)
    {
        setString("positionStatus", item);
    }
    /**
     * Object:分录's 开始日期property 
     */
    public java.util.Date getStartDate()
    {
        return getDate("startDate");
    }
    public void setStartDate(java.util.Date item)
    {
        setDate("startDate", item);
    }
    /**
     * Object:分录's 结束日期property 
     */
    public java.util.Date getEndDate()
    {
        return getDate("endDate");
    }
    public void setEndDate(java.util.Date item)
    {
        setDate("endDate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1562598F");
    }
}